Votre question

[resolu] [eclipse] probleme installation visual editor

Tags :
  • software
  • Programmation
Dernière réponse : dans Programmation
5 Août 2006 12:45:10

Slt all !

Je n'arrive pas a faire fonctionner le plug-in visual-editeur sous eclipse.

J'ai installé la dernière version d'eclipse puis ajouter dans les repertoires concernées les fichiers du plug-in VE mais une fois dans le logiciel, je ne peux pas me servir de ce plug-in (par exemple, je n'ai pas File->New->Class visual).

Pourtant, quand je rentre dans les options pour voir les plug-ins installés....les fichier (jar et autres) du plug-in sont bien present....

Comment installer VE sur eclipse, svp ? Ai-je oublié une étape ? :-?

Merci d'avance !
a+
Cbil

Autres pages sur : resolu eclipse probleme installation visual editor

14 Août 2006 15:47:57

Petit up ! Je ne trouve vraiment pas comment installer ce plug-in ^^
Contenus similaires
17 Août 2006 23:25:52

Cool merci ! Grace a ton mssage tu m'as mis sur la bonne voie ^^

J'ai installé l'ensemble avec la fonction "Find and install" de l'onglet Help->software update. (g placé avant des fichiers du plug-in EMF mais apparemment ca ne suffisait pas)

Aussi, il faut pas avoir placer des fichier du plug-in visual class avant l'installation du plug-in EMF par le module software update d'eclipse, sinon la fonction update de eclipse n'est pas contente.

J'ai du faire find and install 4-5 fois avant que je puisse voir "visual class" sur eclipse ^^.....aussi a la derniere update, en ayant marre ^^, g tout coché meme les plug-in non necessaire a ve et emf....et puis ca a marché !

Voila merci beaucoup ! a+
Cbil
17 Août 2006 23:38:32

Cool.
Et merci pour avoir indiqué la marche à suivre.
18 Août 2006 11:46:40

de rien, merci a toi ! je reprecise un peu ^^ (si je me souviens bien car a force de manipuler, je sais plus trop ce qui marche ou non)

Pour "find and install", ca se trouve dans "help -> software update". Ensuite faut choisir "search for new feature to install".
Apres, A la base, g "callisto discovery site" puis "the eclipse project updates".


Redemarrer eclipse apres chaque update pour qu'il prenne en compte tous les nouveaux plug-in

Emf n'est donc pas present (enfin au debut c'est ce que je pensais, mais il me semble qu'a partir de callisto discovery" c'est possible.). Mais la j'explique seulement la procedure que j'ai faite !

1) Faut commencer par un find and install de emf

Deja pour voir emf dans les options de find and install, il faut avoir installé au moins 2-3 fichiers (ou alors à partir d'un xml mais g pas trouvé ou pas sur ^^)
Les fichiers que j'ai préalablement placer dans les répertoires sont ceux de l'adresse ci-dessous :

http://download.eclipse.org/tools/emf/downloads/drops/2.2.0/R200606271057/index.html

(si vous n'avez pas la version 3.2 d'eclipse (la derniere à ce jour), il faut changer de page ^^ :
http://download.eclipse.org/tools/emf/scripts/downloads...

Une fois que j'ai placer les fichiers dans les dossiers features et plugins, je lance eclipse puis find and install (la il econnait emf et propose de l'updater ! ca permet d'ajouter les fichiers manquants car apparemment a suffisait pas pour ve)

2- find and install pour ve

on peut trouver ve dans le find and install, quand on choisit "callisto discovery". cocher la case puis une erreur apparait ! C'est parce qu'il est necessaire d'avoir emf, et il manque apparemment des fichiers ! Dans ce cas il faut cliquer sur le bouton de droite "select required", il coche lui-meme tout ce qui est necessaire/manquant pour les plug-ins que vous avez sélectionnés.

Si il veut pas les sélectionnés, alors cochez tout !

3- Ben la ca marchait tj pas, alors ce que j'ai fait : g tout tout coché tout le temps et tout installé les plug-ins proposé !
Par contre, chez moi il a mis un peu de temps pour demarrer le download, laissant penser à un plantage, mais pas du tout !

(ah egalement un petit warning pour vous :
a la fin il met un message d'erreur, la plupart du temps, c'est que'un des fichiers installé existe deja dans les dossiers, donc il le remplace. (si vous cliquez sur "details" du message d'erreur, il y a ecrit "already file" un truc comme ca !

Puis ca s'est installé ! La class visuelle se trouve soit :
Pour un nouveau fichier : file->new->others...->dossier "java"->visual class
Pour l'utiliser sur un fichier existant : clique droit sur la class dans l'arbre de gauche puis "open with" -> visual editor

Ca s'etait ma procedure tres compliqué lol (je comprenais rien).
Maintenant, la procedure la plus simple qui devrait fonctionner.

1) cochez tout / tout tout ! et installer tout !
2) si ca marche tj pas, mettez a jour uniquement emf et ve !



Tant que find and install propose des choses a installer, c'est que ce qu'il propose n'a pas encore été installé. (car maintenant, quand je coche callisto discovery, il toruve plus rien ^^)

texte un peu bordelique, desolé !
Mais j'espere que ca vous sera utile !

egalement cette page peut-vous etre utile :
http://java.developpez.com/faq/eclipse/?page=plugins
Cependant, je n'avais pas dans ma liste ce qu'il dise de choisir.

a+ all
Cbil

Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS